%% Ignore Msg Hole Name
-define(eTpfHole, '$eTpfHole').

%% 消息截取默认配置项
-define(MaxDepth, 3).
-define(MaxListSize, 32).
-define(MaxMapSize, 32).
-define(MaxTupleSize, 32).
-define(MaxBinSize, 128).
-define(MaxBitSize, ?MaxBinSize * 8).
-define(MaxNestStruct, 6).

%% 类型声明
-export_type([input/0, userInput/0, traceOpts/0, tracerOpts/0]).

-type pattern() :: module() | {app, atom()} | {callback, module(), atom()}.

-type scope() :: {scope, [pid() | port() | all | processes | ports |existing | existing_processes | existing_ports |new | new_processes | new_ports]}.
-type input() :: [pattern() | scope()].

-type userInput() :: pattern() | input().

-type traceOpts() :: #{
mode => trace | profile
, poolId => any()
, poolSize => pos_integer()
, send => boolean()
, running => boolean()
}.

-type tracerOpts() :: #{
	port => pos_integer()
}.